<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var noakun = ID;
		
		$.ajax({
			type	: "POST",
			url		: "modul/akun_bp/cari.php",
			data	: "noakun="+noakun,
			dataType: "json",
			success	: function(data){
				$("#txt_noakun").val(noakun);
				$("#txt_naakun").val(data.naakun);
				$("#txt_kode").val(data.kode);				
				$("#txt_nobb").val(data.nobb);				
				$("#akses").val(data.akses);
				alert("Data sudah di tampung pada tab inputan, silahkan klik");
			}
		});
	}
	
	function hapus_data(ID){
		var pilih = confirm('Data akun yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
		var noakun = ID;
		$.ajax({
			type	: "POST",
			url		: "modul/akun_bp/hapus.php",
			data	: "noakun="+noakun,
			success	: function(data){
				$("#info").html(data);
				$("#tampil_data_ak").load('modul/akun_bp/tampil_data_ak.php');
				$("#akses").val('');
			}
		});
		}
	}

</script>
<?php
include '../../inc/inc.koneksi.php';

$cari= $_GET['cari'];

echo "<table id='theList' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Akun</th>			
			<th>D/K</th>
			<th>Aksi</th>
		</tr>";
				
		$query1= "SELECT a.noakun,a.naakun,b.nobb FROM akun_bb as a JOIN akun_bp as b ON b.nobb=a.noakun GROUP BY b.nobb";
		
		$data1	= mysql_query($query1);
		$jml=1;		
		while($r1=mysql_fetch_array($data1)){
			$nobb=$r1['nobb'];

			echo "<tr>
				<td></td>
				<td><b>$r1[nobb]</b></td>	
				<td><b>$r1[naakun]</b></td>
			</tr>";
			
			if (!empty($cari)){
				$sql	= "SELECT * FROM akun_bp WHERE (naakun LIKE '%$cari%' or noakun LIKE '%$cari%') AND nobb='$nobb' ORDER BY noakun";
			}else{
				$sql	= "SELECT * FROM akun_bp WHERE nobb='$nobb' ORDER BY noakun";
			}
			
			$query = mysql_query($sql);
		
			$no=1;
			while($r=mysql_fetch_array($query)){
				
				echo "<tr>
					<td>$no</td>
					<td>$r[noakun]</td>
					<td>$r[naakun]</td>					
					<td align='center'>$r[kode]</td>
					<td align='center'>
						<a href='javascript:void(0)' onClick=\"edit_data('$r[noakun]')\">
							<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' >
						</a>
						<a href='javascript:void(0)' onClick=\"hapus_data('$r[noakun]')\">
							<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' >
						</a>					
					</td>
				</tr>";			
				$no++;
				$jml++;
			}
		}	
	echo "</table>";

	echo "<table width='100%'>
		<tr>
			<td>Jumlah Data : $jml</td>
		</tr>
		</table>";
?>